services:
    oro_activity.form.type.contexts_select:
        class: Oro\Bundle\ActivityBundle\Form\Type\ContextsSelectType
        arguments:
            - '@doctrine.orm.entity_manager'
            - '@oro_entity_config.config_manager'
            - '@translator'
            - '@event_dispatcher'
            - '@oro_entity.entity_name_resolver'
            - '@oro_featuretoggle.checker.feature_checker'
        tags:
            - { name: form.type, alias: oro_activity_contexts_select }

    oro_activity.form.extension.contexts:
        class: Oro\Bundle\ActivityBundle\Form\Extension\ContextsExtension
        arguments:
            - '@oro_entity.doctrine_helper'
            - '@request_stack'
            - '@security.authorization_checker'
            - '@Psr\Container\ContainerInterface'
        tags:
            - { name: form.type_extension, alias: form, extended_type: 'Symfony\Component\Form\Extension\Core\Type\FormType' }
            - { name: container.service_subscriber, id: oro_activity.manager }
            - { name: container.service_subscriber, id: oro_entity.entity_alias_resolver }
            - { name: container.service_subscriber, id: oro_entity.routing_helper }

    oro_activity.type.multiple_association_choice:
        class: Oro\Bundle\ActivityBundle\Form\Type\MultipleAssociationChoiceType
        arguments:
            - '@oro_entity_extend.association_type_helper'
            - '@oro_entity_config.config_manager'
        tags:
            - { name: form.type, alias: oro_activity_multiple_association_choice }
